compilation de QGIS sur sid (amd64)

Le
Samy Mezani
Bonjour,

J'ai un problème lors de la compilation de qgis 1.2.0 avec
dpkg-buildpackage. C'est ma première compil, merci d'être indulgent ;-)
Après avoir exécuté la commande suivante, comme recommandé dans les
sources de qgis :
# dpkg-buildpackage -us -us -b

La compil se déroule bien jusqu'à 53% où j'ai le message d'erreur suivant :
SyntaxError: Non-ASCII character 'xc3' in file
/home/samy/Téléchargement/qgis-1.2.0/debian/build/python/configure.py on
line 7, but no encoding declared; see
http://www.python.org/peps/pep-0263.html for details

Je comprends qu'il ne reconnaît pas un certain caractère comme ascii et
en plus le codage n'est pas précisé. J'ai déclaré le codage utf-8 dans
configure.py avec :
# -*- coding: utf-8 -*-

Mais ce fichier est réécrit sans ce commentaire lors de l'essai de
compilation suivant.

Bref, je ne vois pas comment m'en sortir. Merci d'avance pour un petit
coup de main !

Samy


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Questions / Réponses high-tech
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Guy Roussin
Le #20152981
Bonsoir,

D'où viennent les sources ?

Moi je les ai prises sur les dépots ubuntu karmic et j'ai pas eu de
problèmes ... (1.2.0-1~karmic1)

Guy

Samy Mezani a écrit :
Bonjour,

J'ai un problème lors de la compilation de qgis 1.2.0 avec
dpkg-buildpackage. C'est ma première compil, merci d'être ind ulgent...
;-)
Après avoir exécuté la commande suivante, comme recomman dé dans les
sources de qgis :
# dpkg-buildpackage -us -us -b

La compil se déroule bien jusqu'à 53% où j'ai le message d'erreur
suivant :
SyntaxError: Non-ASCII character 'xc3' in file
/home/samy/Téléchargement/qgis-1.2.0/debian/build/python/conf igure.py
on line 7, but no encoding declared; see
http://www.python.org/peps/pep-0263.html for details

Je comprends qu'il ne reconnaît pas un certain caractère comm e ascii
et en plus le codage n'est pas précisé. J'ai déclaré le codage utf-8
dans configure.py avec :
# -*- coding: utf-8 -*-

Mais ce fichier est réécrit sans ce commentaire lors de l'ess ai de
compilation suivant.

Bref, je ne vois pas comment m'en sortir. Merci d'avance pour un petit
coup de main !

Samy



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Samy Mezani
Le #20154061
le 15/09/2009 19:24, Guy Roussin a écrit:

Bonsoir,

D'où viennent les sources ?

Moi je les ai prises sur les dépots ubuntu karmic et j'ai pas eu de
problèmes ... (1.2.0-1~karmic1)

Guy




Bonsoir,
J'ai pris les sources directement sur le site de qgis, ça me paraissait
plus... logique. Dommage, j'aimerais bien régler ce pb, mais bon je vais
essayer avec celles de karmic.

Merci

Samy


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Guy Roussin
Le #20154291
Samy,

Exemple pour compiler la version 1.3.0 de qgis :

- recup des 3 fichiers du paquet source karmic :
cd /tmp/
wget http://launchpadlibrarian.net/31743511/qgis_1.3.0.orig.tar.gz
wget http://launchpadlibrarian.net/31748092/qgis_1.3.0-1%7Ekarmic6.diff.g z
wget http://launchpadlibrarian.net/31748093/qgis_1.3.0-1%7Ekarmic6.dsc

- extraction :
dpkg-source -x qgis_1.3.0-1~karmic6.dsc

- compilation
cd qgis-1.3.0
dpkg-buildpackage -rfakeroot -uc -b

Si nécessaire installer les paquets manquants,
requis pour la compilation ... puis recommencer le dpkg-buildpackage
(je suppose qu'il y a une commande pour faire automatiquement
l'installation des paquets de dépendance de compilation, un peu
à la manière de 'apt-get build-dep' ?)

- installer les paquets
cd ..
sudo dpkg -i *deb

Guy

Samy Mezani a écrit :
Bonjour,

J'ai un problème lors de la compilation de qgis 1.2.0 avec
dpkg-buildpackage. C'est ma première compil, merci d'être ind ulgent...
;-)
Après avoir exécuté la commande suivante, comme recomman dé dans les
sources de qgis :
# dpkg-buildpackage -us -us -b

La compil se déroule bien jusqu'à 53% où j'ai le message d'erreur
suivant :
SyntaxError: Non-ASCII character 'xc3' in file
/home/samy/Téléchargement/qgis-1.2.0/debian/build/python/conf igure.py
on line 7, but no encoding declared; see
http://www.python.org/peps/pep-0263.html for details

Je comprends qu'il ne reconnaît pas un certain caractère comm e ascii
et en plus le codage n'est pas précisé. J'ai déclaré le codage utf-8
dans configure.py avec :
# -*- coding: utf-8 -*-

Mais ce fichier est réécrit sans ce commentaire lors de l'ess ai de
compilation suivant.

Bref, je ne vois pas comment m'en sortir. Merci d'avance pour un petit
coup de main !

Samy



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Samy Mezani
Le #20154731
le 15/09/2009 22:41, Guy Roussin a écrit:

Samy,

Exemple pour compiler la version 1.3.0 de qgis :

- recup des 3 fichiers du paquet source karmic :
cd /tmp/
wget http://launchpadlibrarian.net/31743511/qgis_1.3.0.orig.tar.gz
wget http://launchpadlibrarian.net/31748092/qgis_1.3.0-1%7Ekarmic6.diff.gz
wget http://launchpadlibrarian.net/31748093/qgis_1.3.0-1%7Ekarmic6.dsc

- extraction :
dpkg-source -x qgis_1.3.0-1~karmic6.dsc

- compilation
cd qgis-1.3.0
dpkg-buildpackage -rfakeroot -uc -b

Si nécessaire installer les paquets manquants,
requis pour la compilation ... puis recommencer le dpkg-buildpackage
(je suppose qu'il y a une commande pour faire automatiquement
l'installation des paquets de dépendance de compilation, un peu
à la manière de 'apt-get build-dep' ?)

- installer les paquets
cd ..
sudo dpkg -i *deb

Guy




Merci Guy,
C'est sympa ça marche.
J'aurais bien voulu déjà tester la version 1.2 et aussi savoir pourquoi
j'avais cette erreur, mais on verra plus tard.
Encore merci
Samy


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme